/*
  This is just a simple text-writer.

  $Id: text_creator.c,v 1.1 2000/02/06 20:18:43 jacobs Exp jacobs $

  $Log: text_creator.c,v $
  Revision 1.1  2000/02/06 20:18:43  jacobs
  Initial revision

*/

#include <stdio.h>
#include "tool.h"
#include "text_creator.h"


int generate_Text(t_game **games, int nof_games, t_lts *lts,
		  char    *calc_string, char    *dir, char    *tdir)
{
  long int  i,j,k;
  char     *name;
  t_player *player;
  FILE     *fp=fopen("gamestats.txt", "wt");

  for(i=0; i<nof_games; i++)
    {
      for(j=0; j<games[i]->nof_players; j++)
	{
	  player=games[i]->player[j];
	  name=(char *)make_funname(player->name,0);
	  for(k=0; k<strlen(name); k++)
	    if (name[k]==',') name[k]='_';
	  fprintf(fp, "%li,%s,", i, name);
	  fprintf(fp, "%i,%i,%i,",
		  player->nof_kills, player->nof_suicides, player->nof_frags);
	  fprintf(fp, "%i,", player->nof_deaths);
	  fprintf(fp, "%02i:%02i:%02i,",
		  player->secs/3600, (player->secs%3600)/60, player->secs%60);
	  fprintf(fp, "%i", (int)(player->fph+0.5));

	  for (k=0; k<NOF_WEAPS; k++)
	    fprintf(fp, ",%li", player->weaps[k]);
	  fprintf(fp,"\n");
	}
    }
  fclose(fp);
  return 1;
}

